BAYCOMUSB(8)

NAME
baycomusb - Baycom USB modem diagnostics utility

SYNOPSIS
baycomusb [ -sv ] [-D usbdevfsmountdir] [-C configfilepath] [-d busnr:devnr] [-i index] [-I ifname] [-t testname] [--drv=usbdevfsmountdir] [--config=configfilepath] [--device=busnr:devnr] [--index=index] [--ifname=ifname] [--test=testname]

DESCRIPTION
baycomusb is a user mode driver for the Baycom EPP modem family. It currently supports the conventional EPP modem (using the IDT 72xxx FIFO's) and the FPGA (Xilinx XCS10) variant. The driver automatically initializes the FPGA modem depending on the requested mode. In order to keep the resident memory footprint small (approx 20kBytes plus standard system shared libraries like libc), the initialization code is contained in a shared library called baycomfpga_init.so . This driver is able to automatically attach itself to the kernel network stack as a network interface (usually called ax0). To do this it requires the Linux Kernel MKISS driver (enable CONFIG_MKISS).

OPTIONS
baycomusb accepts the following options:

-h  --help Display an overview of the available command line parameters and exit.

-v  --verbose Increases the verbosity of the output. May be cumulated.

-D  --drv Specifies the mount directory of the USB device filesystem. The default is /proc/bus/usb

-C  --config Specifies the config file. The default is /etc/ax25/baycomusb.xml.

-d  --device Specifies the device by bus number and device number.

-i  --index Specifies the device by a number.

-I  --ifname The name of the AX.25 network interface when performing final setup (to be used by the kernel driver).

-t  --test Specifies the test to be performed.

SEE ALSO
ifconfig (8), sethdlc (8),

AUTHOR
baycomusb was written by Thomas Sailer, HB9JNX/AE4WA (sailer@ife.ee.ethz.ch).